跳至内容

获取主动警报

检索符合您提供的条件的特定系统警报。

先决条件

身份验证 - 请提交您的用户凭据、客户端 ID 和客户端密钥以进行 OAuth2 身份验证。有关如何调用 OAuth API 来验证和确认您的凭据的说明,请参阅API 身份验证

搜索系统警报

要搜索符合您提供的搜索条件的系统警报,请向 /smartview/v2/systemAlerts/search 端点发送 POST 请求。在请求正文中指定搜索条件。

示例 cURL 请求 - 检索活动系统警报:

curl -X POST 'https://api.equinix.com/smartview/v2/systemAlerts/search'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "filter": {
        "and": [
            {
                "property": "/status",
                "operator": "=",
                "values": [
                    "ACTIVE"
                ]
            }
        ]
    },
    "pagination": {
        "offset": 0,
        "limit": 50
    }
}'

示例响应:

{
    "data": [
        {
            "id": 1931,
            "alertUid": "LD9.Generator-DH09-PG2:gensetavailableinauto#DIGITAL:ALARM",
            "traceUid": "1687495706640/LD9.Generator-DH09-PG2:gensetavailableinauto#DIGITAL:ALARM",
            "assetTagUid": "LD9.Generator-DH09-PG2:gensetavailableinauto",
            "assetTagDisplayName": "Genset Available In Auto",
            "status": "ACTIVE",
            "value": {
                "alertTagValue": "true",
                "alertTagValueDisplayName": "OPEN",
                "activeAlertTagValueDisplayName": "OPEN",
                "currentTagValue": "CLOSED"
            },
            "asset": {
                "ibx": "LD9",
                "assetUid": "LD9.Generator-DH09-PG2",
                "assetType": "Generator",
                "assetClassification": "Electrical",
                "assetRegion": null,
                "assetUnderMaintenance": false
            },
            "configuration": {
                "thresholdValue": "1",
                "thresholdValueDisplayName": "OPEN",
                "unitOfMeasurement": "&",
                "thresholdType": "DIGITAL",
                "conditionName": "ALARM",
                "configurationVersion": "1.0"
            },
            "activeProcessing": {
                "edgeCollectedOn": "2023-06-23T04:48:26.640Z",
                "tagCalculationJobProcessedOn": "2023-06-23T04:48:26.840Z",
                "processingStartOn": "2023-06-23T04:49:01.182223Z",
                "processingEndOn": "2023-06-23T04:49:01.282301Z",
                "publishedOn": "2023-06-23T04:49:01.282301Z"
            },
            "inactiveProcessing": {
                "edgeCollectedOn": null,
                "tagCalculationJobProcessedOn": null,
                "processingStartOn": null,
                "processingEndOn": null,
                "publishedOn": null
            }
        },
        {
            "id": 9684,
            "alertUid": "LD4.UPS-4-2-G-15:lowbatteryalarm#DIGITAL:ALARM",
            "traceUid": "1687474008537/LD4.UPS-4-2-G-15:lowbatteryalarm#DIGITAL:ALARM",
            "assetTagUid": "LD4.UPS-4-2-G-15:lowbatteryalarm",
            "assetTagDisplayName": "Low Battery Alarm",
            "status": "ACTIVE",
            "value": {
                "alertTagValue": "true",
                "alertTagValueDisplayName": "OPEN",
                "activeAlertTagValueDisplayName": "OPEN",
                "currentTagValue": "OPEN"
            },
            "asset": {
                "ibx": "LD4",
                "assetUid": "LD4.UPS-4-2-G-15",
                "assetType": "UPS",
                "assetClassification": "Electrical",
                "assetRegion": null,
                "assetUnderMaintenance": false
            },
            "configuration": {
                "thresholdValue": "1",
                "thresholdValueDisplayName": "OPEN",
                "unitOfMeasurement": "&",
                "thresholdType": "DIGITAL",
                "conditionName": "ALARM",
                "configurationVersion": "1.0"
            },
            "activeProcessing": {
                "edgeCollectedOn": "2023-06-22T22:46:48.537Z",
                "tagCalculationJobProcessedOn": "2023-06-22T22:46:48.737Z",
                "processingStartOn": "2023-06-22T22:47:37.722099Z",
                "processingEndOn": "2023-06-22T22:47:37.802681Z",
                "publishedOn": "2023-06-22T22:47:37.802681Z"
            },
            "inactiveProcessing": {
                "edgeCollectedOn": null,
                "tagCalculationJobProcessedOn": null,
                "processingStartOn": null,
                "processingEndOn": null,
                "publishedOn": null
            }
        }
    ],
    "pagination": {
        "offset": 20,
        "limit": 10,
        "total": 2
    }
}

获取所有系统警报

要获取所有系统警报,请向 /smartview/v2/systemAlerts/search 端点发送 GET 请求。分页和筛选条件可通过查询参数设置。

此页面有帮助吗?